Upstream information

CVE-2012-2677 at MITRE

Description

Integer overflow in the ordered_malloc function in boost/pool/pool.hpp in Boost Pool before 3.9 makes it easier for context-dependent attackers to perform memory-related attacks such as buffer overflows via a large memory chunk size value, which causes less memory to be allocated than expected.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 765443 [RESOLVED / FIXED], 826691 [NEEDINFO]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • boost-license >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_regex1_36_0 >= 1.36.0-12.3.1
  • libboost_signals1_36_0 >= 1.36.0-12.3.1
Patchnames:
slessp1-boost
SUSE Linux Enterprise Server 11 SP2
  • boost-license >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_regex1_36_0 >= 1.36.0-12.3.1
  • libboost_signals1_36_0 >= 1.36.0-12.3.1
Patchnames:
slessp1-boost
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • boost-devel >= 1.36.0-12.3.1
  • boost-doc >= 1.36.0-12.3.1
  • libboost_date_time1_36_0 >= 1.36.0-12.3.1
  • libboost_filesystem1_36_0 >= 1.36.0-12.3.1
  • libboost_graph1_36_0 >= 1.36.0-12.3.1
  • libboost_iostreams1_36_0 >= 1.36.0-12.3.1
  • libboost_math1_36_0 >= 1.36.0-12.3.1
  • libboost_mpi1_36_0 >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_python1_36_0 >= 1.36.0-12.3.1
  • libboost_regex1_36_0 >= 1.36.0-12.3.1
  • libboost_serialization1_36_0 >= 1.36.0-12.3.1
  • libboost_system1_36_0 >= 1.36.0-12.3.1
  • libboost_test1_36_0 >= 1.36.0-12.3.1
  • libboost_thread1_36_0 >= 1.36.0-12.3.1
  • libboost_wave1_36_0 >= 1.36.0-12.3.1
Builds
SAT Patch Nr: 6507
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • boost-devel >= 1.36.0-12.3.1
  • boost-doc >= 1.36.0-12.3.1
  • libboost_date_time1_36_0 >= 1.36.0-12.3.1
  • libboost_filesystem1_36_0 >= 1.36.0-12.3.1
  • libboost_graph1_36_0 >= 1.36.0-12.3.1
  • libboost_iostreams1_36_0 >= 1.36.0-12.3.1
  • libboost_math1_36_0 >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_python1_36_0 >= 1.36.0-12.3.1
  • libboost_serialization1_36_0 >= 1.36.0-12.3.1
  • libboost_system1_36_0 >= 1.36.0-12.3.1
  • libboost_test1_36_0 >= 1.36.0-12.3.1
  • libboost_thread1_36_0 >= 1.36.0-12.3.1
  • libboost_wave1_36_0 >= 1.36.0-12.3.1
Builds
SAT Patch Nr: 6507
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • boost-devel >= 1.36.0-12.3.1
  • boost-devel-32bit >= 1.36.0-12.3.1
  • boost-doc >= 1.36.0-12.3.1
  • libboost_date_time1_36_0 >= 1.36.0-12.3.1
  • libboost_date_time1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_filesystem1_36_0 >= 1.36.0-12.3.1
  • libboost_filesystem1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_graph1_36_0 >= 1.36.0-12.3.1
  • libboost_graph1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_iostreams1_36_0 >= 1.36.0-12.3.1
  • libboost_iostreams1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_math1_36_0 >= 1.36.0-12.3.1
  • libboost_math1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_mpi1_36_0 >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_program_options1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_python1_36_0 >= 1.36.0-12.3.1
  • libboost_python1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_regex1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_serialization1_36_0 >= 1.36.0-12.3.1
  • libboost_serialization1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_signals1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_system1_36_0 >= 1.36.0-12.3.1
  • libboost_system1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_test1_36_0 >= 1.36.0-12.3.1
  • libboost_test1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_thread1_36_0 >= 1.36.0-12.3.1
  • libboost_thread1_36_0-32bit >= 1.36.0-12.3.1
  • libboost_wave1_36_0 >= 1.36.0-12.3.1
  • libboost_wave1_36_0-32bit >= 1.36.0-12.3.1
Builds
SAT Patch Nr: 6507
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • boost-license >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_signals1_36_0 >= 1.36.0-12.3.1
  • libboost_thread1_36_0 >= 1.36.0-12.3.1
Builds
SAT Patch Nr: 6507
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • boost-license >= 1.36.0-12.3.1
  • libboost_program_options1_36_0 >= 1.36.0-12.3.1
  • libboost_regex1_36_0 >= 1.36.0-12.3.1
  • libboost_signals1_36_0 >= 1.36.0-12.3.1
Builds
SAT Patch Nr: 6507
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • boost >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • boost >= 1.33.1-17.15.1
  • boost-32bit >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • boost-devel >= 1.33.1-17.15.1
  • boost-doc >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
  • boost-devel >= 1.33.1-17.15.1
  • boost-devel-64bit >= 1.33.1-17.15.1
  • boost-doc >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • boost >= 1.33.1-17.15.1
  • boost-devel >= 1.33.1-17.15.1
  • boost-doc >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • boost >= 1.33.1-17.15.1
  • boost-64bit >= 1.33.1-17.15.1
  • boost-devel >= 1.33.1-17.15.1
  • boost-devel-64bit >= 1.33.1-17.15.1
  • boost-doc >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • boost >= 1.33.1-17.15.1
  • boost-32bit >= 1.33.1-17.15.1
  • boost-devel >= 1.33.1-17.15.1
  • boost-doc >= 1.33.1-17.15.1
Builds
ZYPP Patch Nr: 8210


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 boost Released
SUSE Linux Enterprise Desktop 10 SP4 boost Released
SUSE Linux Enterprise Desktop 11 SP1 boost Released
SUSE Linux Enterprise SDK 11 SP1 boost Released
SUSE Linux Enterprise Server 10 SP3 boost Released
SUSE Linux Enterprise Server 10 SP4 boost Released
SUSE Linux Enterprise Server 10 SP4 LTSS boost Released
SUSE Linux Enterprise Server 11 SP1 boost Released
SUSE Linux Enterprise Server 11 SP1 LTSS boost Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 boost Released
SUSE Studio Onsite 1.3 boost Released